## org.eclipse.emf.mapping.ecore2xml.action
Class GenerateEcore2XMLActionDelegate

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.mapping.ecore2xml.action.GenerateEcore2XMLActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

    public class GenerateEcore2XMLActionDelegate

extends ActionDelegate

A action that generates Ecore2XML mappings from Ecore2Ecore mappings.

Constructor Summary
`GenerateEcore2XMLActionDelegate()`

Method Summary
`protected static XMLResource.XMLInfo` `createXMLInfo(EObject eObject)`
`protected static XMLResource.XMLMap` `createXMLMap(Ecore2EcoreMappingRoot mappingRoot)`
`protected IFile` `getFile(Resource resource)`
`protected Ecore2EcoreMappingRoot` `getMappingRoot(IStructuredSelection structuredSelection)`
`protected static int` `getXMLRepresentation(EStructuralFeature eStructuralFeature)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateEcore2XMLActionDelegate

    public GenerateEcore2XMLActionDelegate()

Method Detail

### getMappingRoot

    protected Ecore2EcoreMappingRoot getMappingRoot(IStructuredSelection structuredSelection)

### getXMLRepresentation

    protected static int getXMLRepresentation(EStructuralFeature eStructuralFeature)

### createXMLInfo

    protected static XMLResource.XMLInfo createXMLInfo(EObject eObject)

### createXMLMap

    protected static XMLResource.XMLMap createXMLMap(Ecore2EcoreMappingRoot mappingRoot)

### getFile

    protected IFile getFile(Resource resource)

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.